Bug 1297491 - Review Request: python2-multilib - A module for determining if a package is multilib or not
Review Request: python2-multilib - A module for determining if a package is m...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 11:12 EST by Jay Greguske
Modified: 2016-07-13 13:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-13 13:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jay Greguske 2016-01-11 11:12:07 EST
Spec URL: https://people.redhat.com/jgregusk/not-piracy/srpms/python2-multilib.spec
SRPM URL: https://people.redhat.com/jgregusk/not-piracy/srpms/python2-multilib-1.1-1.fc23.src.rpm
Description: A Python module that supports several multilib "methods" useful for determining if a 32-bit package should be included with its 64-bit analogue in a compose.
Fedora Account System Username: jgreguske
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-04-05 10:23:41 EDT
SRPM name should be python-multilib, python3 support might be added later. Please convert to create python2-multilib binary subpackage [
https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file].

Source0 refers to "master", which can change over time. It must refer to a specific commit or tag that is immutable over time.

Tests should be run in %check.

Entries in the changelog should be separated by blank lines.
Comment 2 Dennis Gilmore 2016-04-07 19:59:14 EDT
SPEC URL: https://ausil.us/packages/python-multilib.spec
SRPM URL: https://ausil.us/packages/python-multilib-1.1-2.fc24.src.rpm

I have sent in a bunch of fixes as pull requests. this sets up to run tests (needs test data) and support python3 as the code does.
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-04-07 21:29:27 EDT
%{python_provide} macro must be used [https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro].

It seems that upstream hasn't made any releases. A git commit should be used for the package version [https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages].
Full URL should be used for Source0 [https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Hosting_Services].

Group tag can be dropped [https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections].

Looks OK otherwise.
Comment 4 Jay Greguske 2016-04-12 16:55:55 EDT
I took in Dennis' changes and Zbigniew's suggestions.

SPEC URL: https://people.redhat.com/jgregusk/not-piracy/srpms/python-multilib.spec
SRPM URL: https://people.redhat.com/jgregusk/not-piracy/srpms/python-multilib-1.1-2.fc23.src.rpm
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-04-12 17:20:05 EDT
> I took in Dennis' changes and Zbigniew's suggestions.

Not really, I don't see python_provide anywhere, also no version change.
Comment 6 Jay Greguske 2016-04-18 13:47:39 EDT
I haven't used this macro before. Something like this?

http://www.fpaste.org/357076/
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-04-18 15:52:08 EDT
No, not like this :(

Please see my original comment, it gives a specific link to documentation.

(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> %{python_provide} macro must be used
> [https://fedoraproject.org/wiki/Packaging:Python#The_.
> 25python_provide_macro].
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-04-18 15:54:32 EDT
OK, sorry, now that I look at the linked section in the guidelines, it doesn't actually say how to use the macro. Please see https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file for the proper way to use the macro.
Comment 10 Zbigniew Jędrzejewski-Szmek 2016-04-21 13:24:21 EDT
Requires on python2 and python3 are not needed. (A dependency on python(abi) = X.Y is added automatically.)

Why are the tests in %check disabled? If possible, enable them, and if not, please add a comment (in the spec file) explaining why.

To make things a bit simpler to edit in the future, you can:

- replace second and third Summary lines with:
Summary: %{summary}

- define a macro for the descriptions:
%global _description \
A Python module that supports several multilib "methods" useful for determining \
if a 32-bit package should be included with its 64-bit analogue in a compose.

%description %_description
%description -n python2-multilib %_description
%description -n python3-multilib %_description
Comment 12 Zbigniew Jędrzejewski-Szmek 2016-04-25 22:25:35 EDT
+ latest version
+ package name is OK
+ provides/requires are OK
+ %python_require is used
+ "common python template" is used
+ license file is present, %license is used
+ license is acceptable (GPLv2)

rpmlint:
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package is APPROVED.
Comment 13 Dennis Gilmore 2016-05-03 16:00:57 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-multilib
Comment 14 Parag AN(पराग) 2016-07-13 13:29:22 EDT
This looks already built and is available in Fedora 24.

Note You need to log in before you can comment on or make changes to this bug.